# Uses of Interface
org.eclipse.ui.activities.ICategoryListener

Packages that use ICategoryListener
Package
Description
org.eclipse.ui.activities
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of ICategoryListener in org.eclipse.ui.activities

Methods in org.eclipse.ui.activities with parameters of type ICategoryListener
Modifier and Type
Method
Description
`void`
ICategory.`addCategoryListener(ICategoryListener categoryListener)`
Registers an instance of `ICategoryListener` to listen for changes to properties of this instance.
`void`
ICategory.`removeCategoryListener(ICategoryListener categoryListener)`
Removes an instance of `ICategoryListener` listening for changes to properties of this instance.